"When I despair, I remember that all through history the way of truth and love has always won. There have been tyrants and murderers and for a time they seem invincible, but in the end, they always fall — think of it, always." Mohandas Gandhi
In a time of universal deceit - telling the truth is a revolutionary act. George Orwell

Saturday, May 31, 2008

Instalar flash 10 em Debian/Kubuntu/Ubuntu AMD64 - afinal não funciona :(

EDIT 2:

Afinal o problema era a extensão Flashblock, parece que o flash10 e talvez o flash9, não gostam muito no FF3.

EDIT:


Afinal continua a dar bronca, agora nem o konqueror funciona, o Firefox3 funciona a meio gás, no youtube funciona quando lhe apetece, no Vimeo funciona sempre....arrrrrrrreeeeeeeeeee mas quando é que os gajos da Adobe lançam o plugin para AMD64....

Alguém pode ajudar?
Obrigado desde já!

Desta vez tendo feito um upgrade ao meu Kubuntu e tendo ficado tudo ok, ainda assim resolvi apagar uma data de tralha que tinha para aqui e resolvi deixar os 32Bits e passar ao AMD64, só a home ficou e muito bem, aliás poupou logo uma data de pequenas configurações.

Mas o flash 9 tem-me dado dores de cabeça, ainda não percebi se é dele próprio, do Firefox3 do nspluginwraper ou de falta de jeito mesmo, mas a verdade é que apesar de instalado e de funcionar bem no Konqueror e no Firefox3 quando o arranco, neste últimi passado algum tempo de eu ter o browser aberto deixa de funcionar, só relançando de novo o browser é que a coisa vai lá, o que não me dá muito jeito, porque sou viciado em TABS, tenho neste momento 64 abertas e preciso delas.

Fiz uma busca na net para ver se havia alguma maneira mais célere de instalar o flash10, e encontrei esta dica para o instalar.

Funcionou, pelo menos para já, mas tive de fazer mais um comando para o flash10 arrancar, o qual não está completo neste howto:

$sudo nspluginwrapper -v -a -u

Por fim, entrando no Firefox3 e fazendo:

about:plugins

deverá aparecer:

Shockwave Flash

File name: npwrapper.libflashplayer.so
Shockwave Flash 10.0 b218
MIME Type Description Suffixes Enabled
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes

Install Adobe Flash Player 10 on Ubuntu 64bit - My Science Is Better
1. Make sure you don't have any other flash plugin installed on your system:
sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper

1.1 To be sure we don't have any other old flash libs let's cleanup the folders where it usually resides:
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper


2. Install ia32-libs and latest nspluginwrapper
sudo apt-get install ia32-libs nspluginwrapper


3. Download the latest flash player from Adobe Labs and extract it:
cd ~
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_051508.tar.gz
tar zxvf flashplayer10_install_linux_051508.tar.gz
sudo cp install_flash_player_10_linux/libflashplayer.so /usr/lib/mozilla/plugins/
rm -rf ~/install_flash_player_10_linux/

4. Use nspluginwrapper to install the plugin and link it to firefox
sudo nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla/plugins/
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-addons/plugins/


in My Science Is Better

1 comment:

chackal_sjc said...

Valeu, muito boa a dica.. funcionou perfeito aqui!!